jQuery(document).ready(function ($) {
    // To fetch parks based on selected facility or all parks by default
    function fetchParks(selectedFacility) {
        $.ajax({
            url: parksAjax.ajaxUrl,
            type: 'POST',
            data: {
                action: 'filter_parks',
                facility: selectedFacility,
            },
            success: function (response) {
                $('.parks-list').html(response);
            },
            error: function () {
                alert('Something went wrong. Please try again.');
            },
        });
    }

    // fetch parks when the page loads
    $(document).ready(function () {
        var selectedFacility = $('#facility').val() || ''; // if no facility selected
        fetchParks(selectedFacility);
    });

    // fetch parks when the facility dropdown changes
    $('#facility').on('change', function () {
        var selectedFacility = $(this).val();
        fetchParks(selectedFacility);
    });
});
