<?php
/**
 *  Compatible with Legacy Themes only (No Full Site Editing)
 *  e.g custom PHP based themes
 */

get_header();
if ( have_posts() ) :
    while ( have_posts() ) :
        the_post();

        // Get custom fields
        $location = get_post_meta( get_the_ID(), '_park_location', true );
        $hours_weekday = get_post_meta( get_the_ID(), '_park_hours_weekday', true );
        $hours_weekend = get_post_meta( get_the_ID(), '_park_hours_weekend', true );
        $short_description = get_post_meta( get_the_ID(), '_park_short_description', true );

        ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <h1><?php the_title(); ?></h1>

            <div class="park-details">
                <p><strong>Location:</strong> <?php echo esc_html( $location ); ?></p>
                <p><strong>Weekday Hours:</strong> <?php echo esc_html( $hours_weekday ); ?></p>
                <p><strong>Weekend Hours:</strong> <?php echo esc_html( $hours_weekend ); ?></p>
            </div>

            <div class="park-description">
                <?php the_content(); ?>
                <p><?php echo esc_html( $short_description ); ?></p>

            </div>
        </article>
        <?php

    endwhile;
else :
    echo '<p>' . __( 'No park found.', 'com-parks-plugin' ) . '</p>';
endif;

get_footer();
